Description: Disable tests that require network access
 Thoses tests need to access to https://forgeapi.puppetlabs.com
 in order to fetch module version.
Author: Sebastien Badia <sbadia@debian.org>
Forwarded: not-needed
Last-Update: 2022-04-15

Index: r10k/spec/unit/module/forge_spec.rb
===================================================================
--- r10k.orig/spec/unit/module/forge_spec.rb	2022-04-15 09:52:53.191051602 +0000
+++ r10k/spec/unit/module/forge_spec.rb	2022-04-15 09:53:54.916301787 +0000
@@ -93,7 +93,7 @@
   context "when a module is deprecated" do
     subject { described_class.new('puppetlabs/corosync', fixture_modulepath, { version: :latest }) }
 
-    it "warns on sync if module is not already insync" do
+    xit "warns on sync if module is not already insync" do
       allow(subject).to receive(:status).and_return(:absent)
 
       allow(R10K::Forge::ModuleRelease).to receive(:new).and_return(double('mod_release', install: true))
@@ -243,7 +243,7 @@
   end
 
   describe '#install' do
-    it 'installs the module from the forge' do
+    xit 'installs the module from the forge' do
       subject = described_class.new('branan/eight_hundred', fixture_modulepath, { version: '8.0.0' })
       release = instance_double('R10K::Forge::ModuleRelease')
       expect(R10K::Forge::ModuleRelease).to receive(:new).with('branan-eight_hundred', '8.0.0').and_return(release)
